#!/usr/bin/env python
#coding: utf-8
"""
MyObject.

base.BaseObject를 상속하여 확장 사용하는 예입니다.

>>> mo = MyObject(10)
>>> mo.objid
10
>>> mo.a
Traceback (most recent call last):
AttributeError: MyObject instance has no attribute 'a'
>>> mo.a = 20
>>> mo.a
20
>>> mo['a']
20
>>> mo['b']
Traceback (most recent call last):
KeyError: 'b'
>>> mo['b'] = 30
>>> mo['b']
30
>>> mo.b
30
"""

import base

class MyObject(base.BaseObject):
    def __init__(self, objid=0):
        self.objid = objid

def _test():
    import doctest
    doctest.testmod()

if __name__ == "__main__":
    _test()
